# Get NFT Data

## EndPoint

```
GET /api/v3/nft/info/nftData
```

## Header

<table><thead><tr><th>Field</th><th>Description</th><th>Example</th><th data-hidden>Type</th><th data-hidden>Required</th></tr></thead><tbody><tr><td>X-API-KEY</td><td>ApiKey</td><td>"HlkcGxbqBeaF76j4rvPaOayfPwnkQ6B6DQ6THZWbvrGxzEdulXQvOKLrRWZLnN"</td><td></td><td>Y</td></tr></tbody></table>

## Request

<table><thead><tr><th>Field</th><th>Description</th><th>Example</th><th data-hidden>Type</th><th data-hidden>Required</th></tr></thead><tbody><tr><td>minter</td><td>The minter's address.</td><td>"0xbbbbca6a901c926f240b89eacb641d8aec7aeafd"</td><td>string</td><td>Y</td></tr><tr><td>tokenAddress</td><td>The NFT token's address</td><td>"0xbbbbca6a901c926f240b89eacb641d8aec7aeafd"</td><td>string</td><td>Y</td></tr><tr><td>nftId</td><td>The NFT Id of the NFT token</td><td>"001"</td><td>string</td><td>Y</td></tr></tbody></table>

## Response

<table><thead><tr><th>Field</th><th>Description</th><th>Example</th><th data-hidden>Type</th><th data-hidden>Required</th></tr></thead><tbody><tr><td>nftData</td><td>NFT token <a href="/pages/uDtTvYY2lPMM9HjTQB9N#eddsa-1">nftData</a></td><td>"0xf7c932351186c3a9053f313eefa16209c018f7f1dba8aa8ca7100400f7c31085"</td><td>string</td><td>Y</td></tr><tr><td>minter</td><td>The minter of the NFT token. <br>If withdrawn to Ethereum L1 and deposited back to Loopring L2, the minter would be the same as tokenAddress</td><td>"0xbbbbca6a901c926f240b89eacb641d8aec7aeafd"</td><td>string</td><td>Y</td></tr><tr><td>nftType</td><td>NFT type</td><td>"ERC1155, ERC721"</td><td>string</td><td>Y</td></tr><tr><td>tokenAddress</td><td>NFT Token address</td><td>"0xbbbbca6a901c926f240b89eacb641d8aec7aeafd"</td><td>string</td><td>Y</td></tr><tr><td>nftId</td><td>NFT Id</td><td>"0xf7c932351186c3a9053f313eefa16209c018f7f1dba8aa8ca7100400f7c31085"</td><td>string</td><td>Y</td></tr><tr><td>creatorFeeBips</td><td>(Deprecated)</td><td>10</td><td>integer</td><td>Y</td></tr><tr><td>royaltyPercentage</td><td>How much royalties to be paid to the creator. Ranging from 1-10</td><td>10</td><td></td><td></td></tr><tr><td>status</td><td>status</td><td>"true"</td><td>boolean</td><td>Y</td></tr><tr><td>nftFactory</td><td>counterFactual NFT factory</td><td>"0xbbbbca6a90<br>1c926f240b89<br>eacb641d8aec<br>7aeafd"</td><td>string</td><td>N</td></tr><tr><td>nftOwner</td><td>counterFactual NFT owner</td><td>"0xbbbbca6a90<br>1c926f240b89<br>eacb641d8aec<br>7aeafd"</td><td>string</td><td>N</td></tr><tr><td>nftBaseUri</td><td>counterFactual NFT base uri</td><td>""</td><td>string</td><td>N</td></tr><tr><td>royaltyAddress</td><td>Wallet address where the NFT royalties should be sent</td><td>"0xbbbbca6a901c926f240b89eacb641d8aec7aeafd"</td><td>string</td><td>N</td></tr><tr><td>originalMinter</td><td><p>original minter address, normally the same as minter. </p><p>If withdrawn to Ethereum L1 and deposited back to Loopring L2, the minter would be the same as tokenAddress</p></td><td>"0xbbbbca6a901c926f240b89eacb641d8aec7aeafd"</td><td>string</td><td>N</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-protocol.loopring.io/counterfactual-nft/api-references/get-nft-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
